﻿using Infragistics.Web.UI.GridControls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void getChildGridRows_Click(object sender, EventArgs e)
    {
        StringBuilder sb = new StringBuilder();
        sb.Append("<br />");

        for (int i = 0; i < whdg.GridView.Rows.Count; i++)
        {
            ContainerGridRecord record = (ContainerGridRecord)whdg.GridView.Rows[i];
            if (record.HasRowIslands)
            {
                sb.Append(string.Format("Child rows for {0} {1}:<br />",
                    whdg.GridView.Rows[i].Items.FindItemByKey("FirstName").Text,
                    whdg.GridView.Rows[i].Items.FindItemByKey("LastName").Text));

                ContainerGrid cg = record.RowIslands[0];
                foreach (var childRow in cg.Rows)
                {
                    ContainerGridRecord childRecord = (ContainerGridRecord)childRow;
                    sb.Append(string.Format("Order id: {0}<br />",
                        childRecord.Items.FindItemByKey("OrderID").Text));
                }                
            }
        }

        childRows.Text = sb.ToString();
    }
}